Please select Into the mobile phone version | Continue to access the computer ver.
M210/Z30 Firmware upgrade issue [SOLVED]
946 9 2018-10-24
Uploading and Loding Picture ...(0/1)
o(^-^)o
Tibopix
lvl.4
Flight distance : 1580494 ft
Canada
Offline

                  
Hello everyone,
  
  
I am using a Matrice 210 aircraft with Cendence controller and Z30 gimbal/camera.
The M210 requires a firmware update: Current: 01.01.0900 -> Latest Version: 01.01.0913 [Screenshot 1 attached]

Trying to update the FW through DJI Go app, I get the message "Latest Firmware"
Trying to update the FW through DJI Assistant 2 [V1.2.4], the system prompts to "Please update your Zenmuse Z30/XT" [Screenshot 2 attached]
    
The FW update version on the Z30 is 01.00.00.47 according to that link [https://www.dji.com/zenmuse-z30/info#downloads]
From the Cendence/DJI Go app, the camera FW is 01.00.00.58 and the gimbal FW is 01.00.00.54 [Screenshot 3 attached]
  
The system won't let me upgrade the M210 FW and asks for a Z30 FW upgrade, when the Z30 FW seems already up to date.
Question: What to do next to upgrade the M210 FW to the latest version?

Screenshot 1

Screenshot 1

Screenshot 2

Screenshot 2

Screenshot 3

Screenshot 3
2018-10-24
Use props
Tibopix
lvl.4
Flight distance : 1580494 ft
Canada
Offline

Help?
Anyone from DJI to give me some feedback please?

UPDATE
After many attempts, the Z30 FW seems to have been upgraded.
Camera: 01.00.00.58 -> 01.00.00.60
Gimbal: 01.00.00.54 -> 01.00.00.55

BUT I still cannot upgrade the M210 FW due to "Please update your Zenmuse Z30/XT"
DJI Go CrystalSky Nov6.png
M210-DJI-Assistant-2Nov6.png
2018-11-7
Use props
Tibopix
lvl.4
Flight distance : 1580494 ft
Canada
Offline

Hello,

I'm still having the same issue here.
Could I get some help from a DJI rep please?
DJI Mindy?
Any feedback would be appreciated.
2018-11-15
Use props
djiuser_XmghskLHTi74
New

United States
Offline

I'm having the same issue
2018-11-16
Use props
Tibopix
lvl.4
Flight distance : 1580494 ft
Canada
Offline

Interesting, what have you tried so far to fix it?
2018-11-16
Use props
smcharg
lvl.1
Flight distance : 7580 ft
United States
Offline

From other threads (and my own  personal experience), the message to please upgrade the Z30 is simply a warning message and doesn't prevent the install of the  latest firmware to the Matrice.  It's only a reminder/warning message.  You  should still be able to proceed.  I have found the best thing to do is to upgrade the Matrice without the Z30 attached since the Z30's firmware gets updated from the SD card slot, it shouldn't matter.  Incidentally, you still get the Z30 warning even if the Z30 isn't attached when you want to upgrade the firmware.  That reassures me it's just a warning.
2018-11-21
Use props
Tibopix
lvl.4
Flight distance : 1580494 ft
Canada
Offline

smcharg Posted at 11-21 05:36
From other threads (and my own  personal experience), the message to please upgrade the Z30 is simply a warning message and doesn't prevent the install of the  latest firmware to the Matrice.  It's only a reminder/warning message.  You  should still be able to proceed.  I have found the best thing to do is to upgrade the Matrice without the Z30 attached since the Z30's firmware gets updated from the SD card slot, it shouldn't matter.  Incidentally, you still get the Z30 warning even if the Z30 isn't attached when you want to upgrade the firmware.  That reassures me it's just a warning.

Thank you for your reply.
Unfortunately, it doesn't work for me, hence the repeated posts.
It might only be a warning, but the end result is always the same: M210 FW is stuck at 01.01.0900.
So far I've tried:
- Updating M210 with DJI Go app with both Samsung and Apple devices (no camera attached)
- Updating M210 with DJI Go app with both Samsung and Apple devices (Z30, X4S and X5S attached)
- Updating M210 with DJI Assistant 2 [V1.2.4] and DJI Assistant 2 for Matrice [V2.0.4]
- Updating M210 with Cendence controller and CrystalSky
- Updating Zenmuse Z30 from the SD card

None of these have worked.
2018-11-22
Use props
Tibopix
lvl.4
Flight distance : 1580494 ft
Canada
Offline

smcharg Posted at 11-21 05:36
From other threads (and my own  personal experience), the message to please upgrade the Z30 is simply a warning message and doesn't prevent the install of the  latest firmware to the Matrice.  It's only a reminder/warning message.  You  should still be able to proceed.  I have found the best thing to do is to upgrade the Matrice without the Z30 attached since the Z30's firmware gets updated from the SD card slot, it shouldn't matter.  Incidentally, you still get the Z30 warning even if the Z30 isn't attached when you want to upgrade the firmware.  That reassures me it's just a warning.

Your post made me look into another way of working around this, so I've actually tried updating using a more stable internet connection [i.e. a better ping] and we may have the beginning of a solution here.
I live in the Arctic so our internet connections can be unstable sometimes, but they work fine for most of our needs.

Thanks for your input.

[UPDATE]
Fixed using a better internet connection with a decent ping.
Looks like DJI Go app and DJI Assistant 2 require a strong/stable connection to update properly.

2018-11-23
Use props
uavsolutionsmaint
lvl.4
Netherlands
Offline

Sorry for the late respons.
Try to update your Aircraft and batteries WITHOUT a gimbal, such as the Z30, using the DJI Assistant2.
I have no problems with the upgrade.
1-8 02:09
Use props
Tibopix
lvl.4
Flight distance : 1580494 ft
Canada
Offline

uavsolutionsmaint Posted at 1-8 02:09
Sorry for the late respons.
Try to update your Aircraft and batteries WITHOUT a gimbal, such as the Z30, using the DJI Assistant2.
I have no problems with the upgrade.

Thanks for your input, but in my case your solution didn't work (see posts #7 and #8)
1-10 06:39
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules